Index: trunk/services/admins.php
===================================================================
--- trunk/services/admins.php	(revision 28)
+++ trunk/services/admins.php	(revision 42)
@@ -1,5 +1,5 @@
 <?php
 /**
- * admins.php 
+ * admins.php
  * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
  */
@@ -23,8 +23,8 @@
  * CONFIG
  *****************************************************************************/
- 
+
 // Titles and navigation header.
 $nav->addPage(_("Administrators"), $_SERVER['PHP_SELF']);
-    
+
 // The object to validate form input.
 $fv = new FormValidator();
@@ -60,5 +60,5 @@
  * MAIN
  *****************************************************************************/
- 
+
 // We may want to use the add/edit interface from another script, so this
 // allows us to remember which page we came from so we can go back there.
@@ -208,10 +208,10 @@
     $fv->isEmpty('username', _("<strong>Username</strong> cannot be blank."));
     $fv->stringLength('username', 0, 255, _("<strong>Username</strong> must contain less than 256 characters."));
-    
+
     $fv->isEmpty('userpass', _("<strong>Passwords</strong> cannot be blank."));
     $fv->stringLength('userpass', 6, 36, _("<strong>Passwords</strong> must be between 6 and 36 characters long."));
-    
+
     $fv->stringLength('first_name', 0, 255, _("<strong>First name</strong> must contain less than 256 characters."));
-    
+
     $fv->stringLength('last_name', 0, 255, _("<strong>Last name</strong> must contain less than 256 characters."));
 
@@ -219,5 +219,5 @@
     $fv->stringLength('email', 0, 255, _("<strong>Email</strong> must contain less than 256 characters."));
     $fv->validateEmail('email');
-    
+
     $fv->isEmpty('user_type', _("<strong>User type</strong> cannot be blank."));
     $fv->stringLength('user_type', 0, 255, _("<strong>User type</strong> has an invalid selection."));
@@ -265,5 +265,5 @@
     // Get the information for the form.
     $qid = DB::query("
-        SELECT * 
+        SELECT *
         FROM admin_tbl
         WHERE admin_id = '" . addslashes($id) . "'
@@ -274,8 +274,8 @@
         App::dieBoomerangURL();
     }
-    
+
     // Lock this record.
     $lock->set('admin_tbl', 'admin_id', $id, $frm['username']);
-    
+
     // Set misc values for the form.
     $frm = array_merge(array(
@@ -312,5 +312,5 @@
 {
     global $auth, $lock;
-    
+
     $lock->select('admin_tbl', 'admin_id', $id);
     if ($lock->isLocked() && !$lock->isMine()) {
@@ -320,5 +320,5 @@
     // Break the cache because we are changing the list data.
     SessionCache::breakCache($_SERVER['PHP_SELF']);
-    
+
     // Get the information for this object.
     $qid = DB::query("
@@ -331,5 +331,5 @@
         App::dieBoomerangURL();
     }
-    
+
     // Get the information for this object.
     $qid = DB::query("SELECT COUNT(*) from admin_tbl");
@@ -357,8 +357,8 @@
 {
     global $auth;
-    
+
     // Break the cache because we are changing the list data.
     SessionCache::breakCache($_SERVER['PHP_SELF']);
-    
+
     // Insert record data.
     DB::query("
@@ -382,14 +382,14 @@
     ");
     $last_insert_id = mysql_insert_id(DB::getDBH());
-    
+
     // Set admin password.
     $auth->setPassword($last_insert_id, $frm['userpass']);
-    
+
     // Create version.
     $version = RecordVersion::getInstance($GLOBALS['auth']);
     $version->create('admin_tbl', 'admin_id', $last_insert_id, $frm['username']);
-    
+
     App::raiseMsg(sprintf(_("The Admin <strong>%s</strong> has been added."), $frm['username']), MSG_SUCCESS, __FILE__, __LINE__);
-    
+
     return $last_insert_id;
 }
@@ -398,5 +398,5 @@
 {
     global $auth, $lock;
-    
+
     $lock->select('admin_tbl', 'admin_id', $frm['admin_id']);
     if ($lock->isLocked() && !$lock->isMine()) {
@@ -406,5 +406,5 @@
     // Break the cache because we are changing the list data.
     SessionCache::breakCache($_SERVER['PHP_SELF']);
-    
+
     // If the userpass is left blank or with the filler **** characters, we don't want to update it.
     if (!empty($frm['userpass']) && !preg_match('/[\*]{4,}/', $frm['userpass'])) {
@@ -412,5 +412,5 @@
         $auth->setPassword($frm['admin_id'], $frm['userpass']);
     }
-    
+
     // Update record data.
     DB::query("
@@ -440,7 +440,7 @@
     global $page;
     global $so;
-    
+
     $where_clause = '';
-    
+
     // Build search query if available.
     if (getFormData('search_query', false)) {
@@ -460,18 +460,18 @@
     // Count the total number of records so we can do something about the page numbers.
     $qid = DB::query("
-        SELECT COUNT(*) 
-        FROM admin_tbl 
+        SELECT COUNT(*)
+        FROM admin_tbl
         $where_clause
     ");
     list($num_results) = mysql_fetch_row($qid);
-    
+
     // Set page numbers now we know (needed for next step).
     $page->setTotalItems($num_results);
     $page->calculate();
-    
+
     // Final SQL, with sort and page limiters.
     $sql = "
-        SELECT 
-            admin_tbl.*, 
+        SELECT
+            admin_tbl.*,
             a1.username AS added_admin_username,
             a2.username AS modified_admin_username
@@ -483,5 +483,5 @@
         " . $page->getLimitSQL() . "
     ";
-    
+
     // A unique key for this query, with the total_items in case db records
     // were added since the last cache. This identifies a unique set of
@@ -494,5 +494,5 @@
         Prefs::setValue('cache_hash', $cache_hash, $_SERVER['PHP_SELF']);
     }
-    
+
     if (SessionCache::isCached($_SERVER['PHP_SELF']) && false) {
         // Get the cached results.
@@ -505,5 +505,5 @@
             $list[] = $row;
         }
-            
+
         if (isset($list) && !empty($list)) {
             // Cache the results.
Index: trunk/services/css.php
===================================================================
--- trunk/services/css.php	(revision 28)
+++ trunk/services/css.php	(revision 42)
@@ -1,5 +1,5 @@
 <?php
 /**
- * css.php 
+ * css.php
  * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
  *
Index: trunk/services/lock.php
===================================================================
--- trunk/services/lock.php	(revision 28)
+++ trunk/services/lock.php	(revision 42)
@@ -1,5 +1,5 @@
 <?php
 /**
- * lock.php 
+ * lock.php
  * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
  */
Index: trunk/services/login.php
===================================================================
--- trunk/services/login.php	(revision 28)
+++ trunk/services/login.php	(revision 42)
@@ -1,5 +1,5 @@
 <?php
 /**
- * login.php 
+ * login.php
  * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
  */
@@ -24,5 +24,5 @@
     } else {
         App::raiseMsg(_("Login failed, please try again."), MSG_NOTICE, __FILE__, __LINE__);
-        App::logMsg(sprintf('%s %s failed login using (MD5ed) password: %s', $auth->getVal('auth_name'), $frm['username'], md5($frm['password'])), LOG_NOTICE, __FILE__, __LINE__);
+        App::logMsg(sprintf('%s %s failed login using (MD5ed) password: %s', ucfirst($auth->getVal('auth_name')), $frm['username'], md5($frm['password'])), LOG_NOTICE, __FILE__, __LINE__);
     }
 }
Index: trunk/services/logout.php
===================================================================
--- trunk/services/logout.php	(revision 28)
+++ trunk/services/logout.php	(revision 42)
@@ -1,5 +1,5 @@
 <?php
 /**
- * logout.php 
+ * logout.php
  * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
  */
Index: trunk/services/logs.php
===================================================================
--- trunk/services/logs.php	(revision 28)
+++ trunk/services/logs.php	(revision 42)
@@ -1,5 +1,5 @@
 <?php
 /**
- * logs.php 
+ * logs.php
  * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
  */
@@ -48,7 +48,7 @@
  * MAIN
  *****************************************************************************/
- 
+
 // Allow realtime file stats.
-clearstatcache(); 
+clearstatcache();
 
 // What action to take.
@@ -65,5 +65,5 @@
     App::dieURL($_SERVER['PHP_SELF']);
     break;
-    
+
 case 'clear' :
 //     $auth->requireAccessClearance(ZONE_ADMIN_APPLOG_FUNC_RESET);
@@ -76,5 +76,5 @@
     App::dieURL($_SERVER['PHP_SELF']);
     break;
-    
+
 case 'archive' :
 //     $auth->requireAccessClearance(ZONE_ADMIN_APPLOG_FUNC_RESET);
@@ -90,9 +90,9 @@
     App::dieURL($_SERVER['PHP_SELF']);
     break;
-    
+
 // case 'ouput' :
 //     $main_template = 'ouput';
 //     break;
-    
+
 case 'download' :
     header('Content-Type: application/octet-stream');
@@ -101,5 +101,5 @@
     die;
     break;
-    
+
 default :
     $list =& getLog(Prefs::getValue('log_file', 'logs_module'), getFormData('search_query'));
@@ -137,5 +137,5 @@
 
 function deleteLog($log_file)
-{    
+{
     if (!file_exists(App::getParam('log_directory') . '/' . $log_file)) {
         App::raiseMsg(sprintf(_("Log file %s does not exist."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
@@ -143,5 +143,5 @@
         return false;
     }
-    
+
     if (!is_writable(App::getParam('log_directory') . '/' . $log_file) && !is_writable(App::getParam('log_directory'))) {
         App::raiseMsg(sprintf(_("Log file %s could not be deleted."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
@@ -149,5 +149,5 @@
         return false;
     }
-    
+
     if (unlink(App::getParam('log_directory') . '/' . $log_file)) {
         App::raiseMsg(sprintf(_("Log file %s has been deleted."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
@@ -162,5 +162,5 @@
 
 function clearLog($log_file)
-{    
+{
     if (!$fp = fopen(App::getParam('log_directory') . '/' . $log_file, 'r+')) {
         App::raiseMsg(sprintf(_("Log file %s could not be opened."), $log_file), MSG_NOTICE, __FILE__, __LINE__);
@@ -168,5 +168,5 @@
         return false;
     }
-    
+
     flock($fp, LOCK_EX);
     $ftruncate_return = ftruncate($fp, 0);
@@ -185,5 +185,5 @@
 
 function archiveLog($log_file)
-{    
+{
     $old_file_name = $log_file;
     $new_file_name = $log_file . '__' . date('Y-m-d');
@@ -198,5 +198,5 @@
         return false;
     }
-    
+
     App::raiseMsg(sprintf(_("Log file %s has been archived to %s."), $old_file_name, $new_file_name), MSG_NOTICE, __FILE__, __LINE__);
     App::logMsg(sprintf('Log file %s has been archived to %s.', $old_file_name, $new_file_name), LOG_NOTICE, __FILE__, __LINE__);
@@ -205,5 +205,5 @@
 
 function printLog($log_file)
-{        
+{
     if (!is_file(App::getParam('log_directory') . '/' . $log_file)) {
         App::raiseMsg(sprintf(_("Log file %s not found."), $log_file), MSG_WARNING, __FILE__, __LINE__);
@@ -216,5 +216,5 @@
 
 function &getLog($log_file, $search_query='')
-{    
+{
     if (!is_file(App::getParam('log_directory') . '/' . $log_file)) {
         App::raiseMsg(sprintf(_("Log file %s not found."), $log_file), MSG_WARNING, __FILE__, __LINE__);
@@ -223,5 +223,5 @@
     }
     $log = file(App::getParam('log_directory') . '/' . $log_file);
-    
+
     if ('' != trim($search_query)) {
         if (getFormData('search_grep')) {
@@ -237,5 +237,5 @@
 {
     global $valid_file_extensions;
-    
+
     // Get a list of all files in the log directory.
     $dir_handle = opendir(App::getParam('log_directory'));
Index: trunk/services/password.php
===================================================================
--- trunk/services/password.php	(revision 28)
+++ trunk/services/password.php	(revision 42)
@@ -1,5 +1,5 @@
 <?php
 /**
- * password.php 
+ * password.php
  * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
  */
@@ -14,5 +14,5 @@
  * CODE CONFIG
  *****************************************************************************/
-    
+
 // Titles and navigation header.
 $nav->addPage(_("Change password"));
@@ -47,5 +47,5 @@
         }
     }
-    
+
     if (!$fv->anyErrors() && false === $auth->authenticate($auth->getVal('username'), $frm['oldpassword'])) {
         $fv->addError('oldpassword', _("Your <strong>Old password</strong> failed authentication."));
Index: trunk/services/templates/admin_list.ihtml
===================================================================
--- trunk/services/templates/admin_list.ihtml	(revision 28)
+++ trunk/services/templates/admin_list.ihtml	(revision 42)
@@ -6,5 +6,5 @@
     <span class="nowrap commandtext"><a href="<?php echo App::oHREF($_SERVER['PHP_SELF'] . '?op=add'); ?>"><?php echo _("Add administrator"); ?></a></span>
     <br />
-    
+
     <input type="text" class="small" size="20" name="search_query" value="<?php echo getFormData('search_query'); ?>" title="<?php echo oTxt(_("Fields searched: Admin id, Username, Userpass, First name, Last name, Email, User type, Login abuse exempt, Blocked, Blocked reason, Abuse warning level, Seconds online, Last login datetime, Last access datetime, Last login ip, Added by user id, Modified by user id, Added datetime, Modified datetime.")); ?>" />
     <input type="submit" value="<?php echo _("Search"); ?>" />
Index: trunk/services/templates/list_info.ihtml
===================================================================
--- trunk/services/templates/list_info.ihtml	(revision 28)
+++ trunk/services/templates/list_info.ihtml	(revision 42)
@@ -4,5 +4,5 @@
     <?php } ?>
     <span class="nowrap commanditem commandtext">
-        <?php printf(_("Listing <strong>%s-%s</strong> of <strong>%s</strong> results on <strong>%s</strong> pages"), (0==$page->total_items ? 0 : $page->first_item+1), (0==$page->total_items ? 0 : $page->last_item+1), $page->total_items, $page->total_pages) ?> 
+        <?php printf(_("Listing <strong>%s-%s</strong> of <strong>%s</strong> results on <strong>%s</strong> pages"), (0==$page->total_items ? 0 : $page->first_item+1), (0==$page->total_items ? 0 : $page->last_item+1), $page->total_items, $page->total_pages) ?>
         &nbsp;&nbsp; <a href="<?php echo App::oHREF($_SERVER['PHP_SELF'], false); ?>"><?php echo _("List all"); ?></a>
         &nbsp;&nbsp; <?php echo _("Per page"); ?>:&nbsp;<?php $page->printPerPageLinks() ?>
Index: trunk/services/templates/lock.ihtml
===================================================================
--- trunk/services/templates/lock.ihtml	(revision 28)
+++ trunk/services/templates/lock.ihtml	(revision 42)
@@ -1,3 +1,3 @@
-<?php 
+<?php
 if (!is_a($lock, 'RecordLock')) {
     return null;
@@ -9,7 +9,7 @@
 
     <p><?php
-    printf(_("The record <strong>%s</strong> is currently being edited by <strong>%s</strong> (%d minutes elapsed). You cannot modify the record while it is locked by another user."), 
-        $lock->getTitle(), 
-        $lock->getEditor(), 
+    printf(_("The record <strong>%s</strong> is currently being edited by <strong>%s</strong> (%d minutes elapsed). You cannot modify the record while it is locked by another user."),
+        $lock->getTitle(),
+        $lock->getEditor(),
         date('i', $lock->getSecondsElapsed() + 60)
     );
Index: trunk/services/templates/versions_diff.ihtml
===================================================================
--- trunk/services/templates/versions_diff.ihtml	(revision 28)
+++ trunk/services/templates/versions_diff.ihtml	(revision 42)
@@ -1,3 +1,3 @@
-<div id="commandbox">               
+<div id="commandbox">
 <?php if (!getFormData('current', false)) { ?>
     <span class="nowrap commandtext"><a href="<?php echo App::oHREF($_SERVER['PHP_SELF'] . '?op=restore', array('version_id', 'version_title')); ?>"><?php echo _("Restore this saved version"); ?></a></span>
Index: trunk/services/templates/versions_list.ihtml
===================================================================
--- trunk/services/templates/versions_list.ihtml	(revision 28)
+++ trunk/services/templates/versions_list.ihtml	(revision 42)
@@ -9,5 +9,5 @@
     <th class="padleft"><?php echo _("By"); ?></th>
 </tr>
-<?php 
+<?php
 $first = true;
 foreach ($versions as $v) { ?>
@@ -25,7 +25,7 @@
     <td class="padleft nowrap"><?php echo $v['editor']; ?></td>
 </tr>
-<?php 
+<?php
 $first = false;
-} 
+}
 ?>
 </table>
Index: trunk/services/templates/versions_view.ihtml
===================================================================
--- trunk/services/templates/versions_view.ihtml	(revision 28)
+++ trunk/services/templates/versions_view.ihtml	(revision 42)
@@ -1,3 +1,3 @@
-<div id="commandbox">               
+<div id="commandbox">
 <?php if (!getFormData('current', false)) { ?>
     <span class="nowrap commandtext"><a href="<?php echo App::oHREF($_SERVER['PHP_SELF'] . '?op=restore', array('version_id', 'version_title')); ?>"><?php echo _("Restore this saved version"); ?></a></span>
@@ -10,5 +10,5 @@
 <table class="list" border="0" cellspacing="0" cellpadding="4">
 <?php
-while ((list($k, $v_d) = each($data))) { 
+while ((list($k, $v_d) = each($data))) {
     ?>
     <tr>
Index: trunk/services/versions.php
===================================================================
--- trunk/services/versions.php	(revision 28)
+++ trunk/services/versions.php	(revision 42)
@@ -1,5 +1,5 @@
 <?php
 /**
- * versions.php 
+ * versions.php
  * Code by Strangecode :: www.strangecode.com :: This document contains copyrighted information
  */
@@ -110,5 +110,5 @@
  * TEMPLATE INITIALIZATION
  *****************************************************************************/
- 
+
 include 'header.ihtml';
 include 'codebase/services/templates/' . $main_template;
